Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# vt100.h

Go to the documentation of this file.

    00001 /*! \file vt100.h \brief VT100 terminal function library. */
    00002 //*****************************************************************************
    00003 //
    00004 // File Name    : 'vt100.h'
    00005 // Title        : VT100 terminal function library
    00006 // Author       : Pascal Stang - Copyright (C) 2002
    00007 // Created      : 2002.08.27
    00008 // Revised      : 2002.08.27
    00009 // Version      : 0.1
    00010 // Target MCU   : any
    00011 // Editor Tabs  : 4
    00012 //
    00013 // NOTE: This code is currently below version 1.0, and therefore is considered
    00014 // to be lacking in some functionality or documentation, or may not be fully
    00015 // tested.  Nonetheless, you can expect most functions to work.
    00016 //
    00017 /// \ingroup general
    00018 /// \defgroup vt100 VT100 Terminal Function Library (vt100.c)
    00019 /// \code #include "vt100.h" \endcode
    00020 /// \par Overview
    00021 ///     This library provides functions for sending VT100 escape codes to
    00022 /// control a connected VT100 or ANSI terminal.  Commonly useful functions
    00023 /// include setting the cursor position, clearing the screen, setting the text
    00024 /// attributes (bold, inverse, blink, etc), and setting the text color.  This
    00025 /// library will slowly be expanded to include support for codes as needed and
    00026 /// may eventually receive VT100 escape codes too.
    00027 //
    00028 // This code is distributed under the GNU Public License
    00029 //      which can be found at http://www.gnu.org/licenses/gpl.txt
    00030 //
    00031 //*****************************************************************************
    00032 //@{
    00033
    00034 #ifndef VT100_H
    00035 #define VT100_H
    00036
    00037 #include "global.h"
    00038
    00039 // constants/macros/typdefs
    00040 // text attributes
    00041 #define VT100_ATTR_OFF      0
    00042 #define VT100_BOLD          1
    00043 #define VT100_USCORE        4
    00044 #define VT100_BLINK         5
    00045 #define VT100_REVERSE       7
    00046 #define VT100_BOLD_OFF      21
    00047 #define VT100_USCORE_OFF    24
    00048 #define VT100_BLINK_OFF     25
    00049 #define VT100_REVERSE_OFF   27
    00050
    00051 // functions
    00052
    00053 // vt100Init() initializes terminal and vt100 library
    00054 //      Run this init routine once before using any other vt100 function.
    00055 void vt100Init(void);
    00056
    00057 // vt100ClearScreen() clears the terminal screen
    00058 void vt100ClearScreen(void);
    00059
    00060 // vt100SetAttr() sets the text attributes like BOLD or REVERSE
    00061 //      Text written to the terminal after this function is called will have
    00062 //      the desired attribuutes.
    00063 void vt100SetAttr(u08 attr);
    00064
    00065 // vt100SetCursorMode() sets the cursor to visible or invisible
    00066 void vt100SetCursorMode(u08 visible);
    00067
    00068 // vt100SetCursorPos() sets the cursor position
    00069 //      All text which is written to the terminal after a SetCursorPos command
    00070 //      will begin at the new location of the cursor.
    00071 void vt100SetCursorPos(u08 line, u08 col);
    00072
    00073 #endif
    00074 //@}